
QGIS Application - Bug report #2292

qgis saves .SHP file as .shp

2009-12-17 08:00 AM - barryrowlingson -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: Unix Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12352

Description

Load polygonal shapefile FOO.SHP (with FOO.DBF, FOO.SHX etc). Enable editing. Select two features and use Merge Selected

Features. Disable editing and save changes. Qgis gives you FOO.shp, FOO.shx and FOO.dbf alongside your original files.

Just moving nodes around doesn't do this, but deleting a feature does, so I suspect it's whenever the structure changes and the whole

shapefile needs rewriting....

Probably a Unixy case-sensitive file system problem only.

History

#1 - 2009-12-17 11:47 AM - Jürgen Fischer

Looks like OGR's REPACK command causes that.

#2 - 2009-12-18 01:33 AM - Jürgen Fischer

Replying to [comment:3 jef]:

Looks like OGR's REPACK command causes that.

See also [[GDAL #3293]]

#3 - 2009-12-18 02:03 PM - Even Rouault

Fixed in OGR now

#4 - 2010-07-12 07:34 AM - Médéric RIBREUX

- Resolution set to fixed

- Status changed from Open to Closed

As it seems to be fixed in OGR (gdal 1.6.4), I guess that this bug can be marked as FIX cause it is not QGis related...

It will be fixed when you will get a new version of GDAL in your distribution !
